using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace X3
{
    class Program
    {
        delegate string GetString();
        delegate int GetSum(int a,int b);
        
        static void Main(string[] args)
        {
            int i = 50;
            GetString DelegateString = i.ToString;
            Console.WriteLine(DelegateString());
            GetSum DelegateSumme = Summe.Sum;
            int u = DelegateSumme(5, 6);
            Console.WriteLine(u);
            Console.Read();
        }
  
    }

    class Summe
    {
        public static int Sum(int a, int b)
        {
            return a + b;
        }
    }
}
